<%@ Page Language="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)

        Dim sec As System.Security.AccessControl.FileSecurity = _
                 System.IO.File.GetAccessControl(Server.MapPath("TextFile.txt"))

        sec.RemoveAccessRule( _
                 New System.Security.AccessControl.FileSystemAccessRule( _
                          "mktg-drader-m65\TestUser", _
                          System.Security.AccessControl.FileSystemRights.FullControl, _
                          System.Security.AccessControl.AccessControlType.Allow _
                          ) _
                 )

        System.IO.File.SetAccessControl(Server.MapPath("TextFile.txt"), sec)

    End Sub
</script>